### R code from vignette source 'ArrayOpsPrim.Rnw'

###################################################
### code chunk number 1: ArrayOpsPrim.Rnw:46-47
###################################################
options(useFancyQuotes="UTF-8")


###################################################
### code chunk number 2: ArrayOpsPrim.Rnw:52-53
###################################################
library(gRbase)


###################################################
### code chunk number 3: ArrayOpsPrim.Rnw:82-104
###################################################
## 1-dimensional array
##
x1 <- 1:8
dim(x1) <- 8
x1
is.array(x1)
is.matrix(x1)

## 2-dimensional array (matrix)
##
x2 <- 1:8
dim(x2) <- c(2,4)
x2
is.array(x2)
is.matrix(x2)

## 3-dimensional array
##
x3 <- array(1:8, dim=c(2,2,2))
x3
is.array(x3)
is.matrix(x3)


###################################################
### code chunk number 4: ArrayOpsPrim.Rnw:126-127
###################################################
flevels <- c(2,3,2,4)


###################################################
### code chunk number 5: ArrayOpsPrim.Rnw:139-143
###################################################
cell2entry(c(1,1,1,1), flevels)
entry2cell(1, flevels)
cell2entry(c(2,1,2,1), flevels)
entry2cell(8, flevels)


###################################################
### code chunk number 6: ArrayOpsPrim.Rnw:148-150 (eval = FALSE)
###################################################
## cell2entry2(c(2,1,2,1), flevels)
## cell2entryR(c(2,1,2,1), flevels)


###################################################
### code chunk number 7: ArrayOpsPrim.Rnw:165-169 (eval = FALSE)
###################################################
## system.time(for (kk in 1:20000){cell2entry(c(2,1,2,1),flevels)})
## system.time(for (kk in 1:20000){cell2entry2(c(2,1,2,1),flevels)})
## system.time(for (kk in 1:20000){cell2entryR(c(2,1,2,1),flevels)})
## system.time(for (kk in 1:20000){entry2cellR(6,flevels)})


###################################################
### code chunk number 8: ArrayOpsPrim.Rnw:183-185
###################################################
nextCell(c(1,1,2,1), flevels)
nextCell(c(2,3,2,4), flevels)


###################################################
### code chunk number 9: ArrayOpsPrim.Rnw:205-207
###################################################
nextCellMarg(c(1,3,2,1),    margset=c(2,3), flevels)
nextCellMarg(c(2,3,2,1),    margset=c(2,3), flevels)


###################################################
### code chunk number 10: ArrayOpsPrim.Rnw:237-239
###################################################
margcell2entry(margcell=c(1,2), margset=c(2,3), flevels)
margcell2entry(margcell=c(2,2), margset=c(1,2), flevels)


###################################################
### code chunk number 11: ArrayOpsPrim.Rnw:264-270
###################################################
ff <- factgrid(flevels)
head(ff)
tail(ff)

ff <- factgrid(flevels, margcell=c(1,2), margset=c(2,3))
ff


