### R code from vignette source 'Graphs.Rnw'
### Encoding: ISO8859-1

###################################################
### code chunk number 1: Graphs.Rnw:42-44
###################################################
library(gRbase)
library(Rgraphviz)


###################################################
### code chunk number 2: Graphs.Rnw:106-109
###################################################
ug11 <- ug(~a*b*c + c*d + d*e + a*e + f*g)
ug12 <- ug(c("a","b","c"),c("c","d"),c("d","e"),c("a","e"),c("f","g"))
ug13 <- ug(~a*b*c, ~c*d, ~d*e + a*e + f*g)


###################################################
### code chunk number 3: Graphs.Rnw:116-117
###################################################
ug11


###################################################
### code chunk number 4: Graphs.Rnw:127-130
###################################################
ug11i <- ug(~a*b*c + c*d + d*e + a*e + f*g, result="igraph")
ug12i <- ug(c("a","b","c"),c("c","d"),c("d","e"),c("a","e"),c("f","g"), 
            result="igraph")


###################################################
### code chunk number 5: Graphs.Rnw:134-135
###################################################
ug11i


###################################################
### code chunk number 6: Graphs.Rnw:144-147
###################################################
ug11m <- ug(~a*b*c + c*d + d*e + a*e + f*g, result="matrix")
ug12m <- ug(c("a","b","c"),c("c","d"),c("d","e"),c("a","e"),c("f","g"), 
            result="matrix")


###################################################
### code chunk number 7: Graphs.Rnw:151-152
###################################################
ug11m


###################################################
### code chunk number 8: Graphs.Rnw:165-169
###################################################
dag11 <- dag(~a + b*a + c*a*b + d*c*e + e*a + g*f)
dag12 <- dag("a", c("b","a"), c("c","a","b"), c("d","c","e"), 
             c("e","a"),c("g","f"))
dag13 <- dag(~a, ~b*a,  ~c*a*b, ~d*c*e, ~e*a, ~g*f)


###################################################
### code chunk number 9: Graphs.Rnw:173-174
###################################################
dag11


###################################################
### code chunk number 10: Graphs.Rnw:187-190
###################################################
dag11i <- dag(~a + b*a + c*a*b + d*c*e + e*a + g*f, result="igraph")
dag12i <- dag("a", c("b","a"), c("c","a","b"), c("d","c","e"), 
             c("e","a"),c("g","f"), result="igraph")


###################################################
### code chunk number 11: Graphs.Rnw:198-201
###################################################
dag11m <- dag(~a + b*a + c*a*b + d*c*e + e*a + g*f, result="matrix")
dag12m <- dag("a", c("b","a"), c("c","a","b"), c("d","c","e"), 
             c("e","a"),c("g","f"), result="matrix")


###################################################
### code chunk number 12: Graphs.Rnw:213-216
###################################################
as(ug11,"igraph")
as(as(ug11,"igraph"),"matrix")
as(as(as(ug11,"igraph"),"matrix"),"graphNEL")


###################################################
### code chunk number 13: Graphs.Rnw:246-249
###################################################
par(mfrow=c(1,2))
iplot(ug11)
iplot(dag11)


###################################################
### code chunk number 14: Graphs.Rnw:265-266
###################################################
args(querygraph)


###################################################
### code chunk number 15: Graphs.Rnw:278-279
###################################################
dag11.mor <- moralize(dag11)


###################################################
### code chunk number 16: Graphs.Rnw:283-286
###################################################
par(mfrow=c(1,2))
iplot(dag11)
iplot(dag11.mor)


###################################################
### code chunk number 17: Graphs.Rnw:296-297
###################################################
mcs(ug11)


###################################################
### code chunk number 18: Graphs.Rnw:303-304
###################################################
tug11<-triangulate(ug11)


###################################################
### code chunk number 19: Graphs.Rnw:308-311
###################################################
par(mfrow=c(1,2))
iplot(ug11)
iplot(tug11)


###################################################
### code chunk number 20: Graphs.Rnw:318-320
###################################################
r <- rip(tug11)
r


###################################################
### code chunk number 21: Graphs.Rnw:341-343
###################################################
system.time({for (ii in 1:200) as(ug11, "matrix")})
system.time({for (ii in 1:200) as.adjMAT(ug11)})


###################################################
### code chunk number 22: Graphs.Rnw:351-353
###################################################
system.time({for (ii in 1:200) maxClique(ug11)})
system.time({for (ii in 1:200) maxCliqueMAT(ug11m)})


###################################################
### code chunk number 23: Graphs.Rnw:368-390
###################################################
V <- 1:100
M <- 1:10
## Sparse graph 
##
g1 <- randomGraph(V, M, 0.05)
length(edgeList(g1))
object.size(g1)
object.size(as.adjMAT(g1))

## More dense graph 
##
g1 <- randomGraph(V, M, 0.2)
length(edgeList(g1))
object.size(g1)
object.size(as.adjMAT(g1))

## Even more dense graph 
##
g1 <- randomGraph(V, M, 0.5)
length(edgeList(g1))
object.size(g1)
object.size(as.adjMAT(g1))


###################################################
### code chunk number 24: Graphs.Rnw:644-646
###################################################
#rm(print.list)
options("width"=85)


