### R code from vignette source 'gRbase.Rnw'
### Encoding: ISO8859-1

###################################################
### code chunk number 1: gRbase.Rnw:169-171
###################################################
options(width=85)
library(gRbase)


###################################################
### code chunk number 2: gRbase.Rnw:172-178
###################################################
library(gRbase)
data(HairEyeColor)
gmdHec  <- as.gmData(HairEyeColor)  # define data
gmdHec

valueLabels(gmdHec)


###################################################
### code chunk number 3: gRbase.Rnw:188-191
###################################################
hecM1 <- hllm(~Hair*Eye+Sex,gmdHec)# indep. of Sex   
hecM1 <- fit(hecM1,engine="loglm")   
anova(getFit(hecM1))                   # test against saturated model


###################################################
### code chunk number 4: gRbase.Rnw:214-217
###################################################
data(rats)
gmdRats <- as.gmData(rats)
gmdRats


###################################################
### code chunk number 5: gRbase.Rnw:232-241
###################################################
gmdRatsNodata  <-  newgmData(
                         varNames=c("Sex","Drug","W1","W2"),
                         varTypes=c("Discrete", "Discrete",
"Continuous", "Continuous"),
                         nLevels=c(2,3,NA,NA), 
                         valueLabels=list( Sex=c("M", "F"),
Drug=c("D1", "D2", "D3")))
gmdRatsNodata
valueLabels(gmdRatsNodata)


###################################################
### code chunk number 6: gRbase.Rnw:256-261
###################################################
d  <-  newgmData(varNames=c("Sex","Drug","W1","W2"),
                 varTypes=c("Discrete", "Discrete",
"Continuous", "Continuous"))
d
valueLabels(d)


###################################################
### code chunk number 7: gRbase.Rnw:272-273
###################################################
validVarTypes()


###################################################
### code chunk number 8: gRbase.Rnw:281-284
###################################################
oldtypes <- validVarTypes()
validVartypes <- function() c(oldtypes, "PosCont")
validVartypes()


###################################################
### code chunk number 9: gRbase.Rnw:298-301
###################################################
observations(gmdRatsNodata) <- rats
valueLabels(gmdRatsNodata)$Sex <- c("Male","Female")
valueLabels(gmdRatsNodata)


###################################################
### code chunk number 10: gRbase.Rnw:315-318
###################################################
d <- list(varNames=c("Aa","Bb"), nLevels=c(2,2), counts=c(12,20,33,41))
class(d) <- "countsList"
d


###################################################
### code chunk number 11: gRbase.Rnw:325-330
###################################################
as.gmData.countsList <- function(from){
  ans <- newgmData(varNames=from$varNames, nLevels=from$nLevels)
  observations(ans) <- from$counts
  return(ans)
}


###################################################
### code chunk number 12: gRbase.Rnw:337-340
###################################################
gd<-as.gmData(d)
valueLabels(gd)
observations(gd)


###################################################
### code chunk number 13: gRbase.Rnw:366-367
###################################################
#options(width=50)


###################################################
### code chunk number 14: gRbase.Rnw:372-373
###################################################
#options(width=50)


###################################################
### code chunk number 15: gRbase.Rnw:374-376
###################################################
m1 <- hllm(~.^.,gmdHec)   # saturated
formula(m1)


###################################################
### code chunk number 16: gRbase.Rnw:381-382
###################################################
#options(width=50)


###################################################
### code chunk number 17: gRbase.Rnw:383-384
###################################################
m2 <- hllm(~Hair*Eye+Sex,gmdHec)


###################################################
### code chunk number 18: gRbase.Rnw:389-390
###################################################
#options(width=50)


###################################################
### code chunk number 19: gRbase.Rnw:391-393
###################################################
m3 <- hllm(~.^1,gmdHec)   # all main effects
formula(m3)


###################################################
### code chunk number 20: gRbase.Rnw:398-399
###################################################
#options(width=50)


###################################################
### code chunk number 21: gRbase.Rnw:400-402
###################################################
m4 <- hllm(~.^.,gmdHec,marginal=c("Hair","Eye")) 
formula(m4)


